Events (Admin)
Create stage (Admin)
POST
/manage/events/:eventId/stagesCreate a stage. Requires the stagesWrite permission.
| Auth | Login required |
|---|
Path parameters
eventIdstringrequiredEvent ID or slug.
Request body
namestringrequiredStage name (required); no length limit.
descriptionstringoptionalDescription.
Localized name / description.
capacitynumberoptionalCapacity; an integer of 1 or more.
Response
Returns Stage.
Request
curl https://api.4s.link/manage/events/EVENT_ID/stages \-X POST \-H "Authorization: Bearer 4s_at_..." \-H "Content-Type: application/json" \-d '{"name": "Main Hall","capacity": 300}'
Example response
{"id": "sg1a2b3c-...","name": "Main Hall","description": "...","capacity": 300,"order": 0}